Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

Upgrade v2.2rc2a to v2.3.1 - should I do it?


Karl53

Recommended Posts

My production site is running v2.2rc2a with some customization and using some contributions. It has been running for a year with a few minor problems.

 

THe visual customizations are rather minor (some custom instructions, changes to CSS etc). Therefore, I want to have a custom template that gives the store exactly the same look and feel as the rest of the site. (The rest of the site uses 960.gs grid layout template by the way.)

 

I thought I should I upgrade from v2.2.x to v2.3.1 while I'm at it. Should I?

 

If you say "yes", do you have any pointers?

 

By the way, I can't find a change history anywhere. I guess there isn't one? (Are there benefits to upgrade?)

 

Also, my gateway is Authorize.Net. I think we had to use a contribution in order to use this gateway with 2.2. From what I can see, Authorize.net now is supported natively in v2.3.1. Is this correct?

 

TIA.

Link to comment
Share on other sites

If you download 2.31 you will find an upgrade guide included.

 

I would suggest that you instead make a brand new shop based on 2.3.1 and then just import over the customers/orders/products/categories from the old shop.

Link to comment
Share on other sites

Also, my gateway is Authorize.Net. I think we had to use a contribution in order to use this gateway with 2.2. From what I can see, Authorize.net now is supported natively in v2.3.1. Is this correct?

 

 

Yes, authorize.net (SIM & AIM) are both included with the v2.3.1 download.

 

 

 

Chris

Link to comment
Share on other sites

Thank you Nick & Chris,

 

I have downloaded, and in fact installed on a test server v2.3.1. However, the only upgrade information that I"m able to find is:

 

>>>grade an existing osCommerce Online Merchant v2.2 RC1 store to v2.2 RC2.

 

This is in the "extras" folder. And the installation.pdf does not seem to have anything about upgrading, It seems to only be new installations.

 

Am I missing something?

 

 

Anyway, I had originally planned to use the Simple Template System (STS) to change the UI. However, I now see that it only supports up to v2.2rc2a. Unless one removes a template system included in v2.3.1.

 

Is that one of the enhancements for v2.3, a, assuming, modular template system?

 

 

I gather from the upgrade guide to v2.2rc2a that the way one generally upgrades osCommerce is that one rolls the changes made for the new version (say v2.3.1) back into a prior version, rather than roll the modifications made in an earler version into a new version.

 

Am I understanding that correctly?

Link to comment
Share on other sites

Karl,

 

The osCommerce v2.3.1 download contains a PDF named upgrade_guide.pdf which contains all of the MANUAL code edits and database changes to upgrade an existing vRC2a site to v2.3.1. Keep in mind that the upgrade_guide ONLY includes core code upgrade infromation so any/all contributions in your current site will need to be upgraded as well. (not many upgrade guides available)

 

 

Chris

Link to comment
Share on other sites

Take note that by following the upgrade guide you will not get a "full" 2.31 shop. (You will get the security and php/mysql compatibility parts from 2.3.1, but layout/structure will still be 2.2)

Link to comment
Share on other sites

If the add ons you have on your 2.2 store have been upgrade, i would personally start again with 2.3.1. If the add ons you have on ytour old store are only admin based, then most of the old add ons will work with only minor alterations.

 

I am in the process of doing the same, and will hopefully remove some of the clutter from my old store and add new functions to the new store. The look of the site is the easy bit to alter.

REMEMBER BACKUP, BACKUP AND BACKUP

Link to comment
Share on other sites

  • 1 month later...

Hello everyone.

I stumbled on this last night when searching for a way to do, more or less, what the author of this thread stated (I.E: "I thought I should I upgrade from v2.2.x to v2.3.1 while I'm at it. Should I? If you say "yes", do you have any pointers?").

 

So, I did what Toyicebear suggested. I made a brand new new shop (v2.3.1) and tried to import over the customers/orders/products/categories from the old shop.

 

Well... That didn't work out to great. So, what am I doing wrong? Did I missunderstand these, if anything, very simple instructions?

"I follow no path in life... Instead I walk straight and leave a trail for others to follow..."

www.bandofhand.se

Link to comment
Share on other sites

@@Bandofhand

 

You can't IMPORT, you need to integrate segments and make table corrections as you go. The database for 2.3.1 is different than previous databases.

 

 

 

Chris

Link to comment
Share on other sites

 

Upgrade to 2.3.1 from 2.2 in less than 60 seconds.

 

That shows a very simple example, obviously. But the basis is the same for a shop with 20,000 products, customers, orders.

Just use the old 2.2 database, but make the necessary changes/additions to it to have the same DB running 2.3.1

Link to comment
Share on other sites

@@DunWeb - Thank you. Made a bit more sense. It was to good to be true just to import it all. Even if I did hope it was that simple.

 

@@burt - A big "Thanks!" to you too for the videoclip. I'll have to sit and study it more careful tonight and see what the guy is doing. But it looks simple atleast.

 

I wish there was a simpler way to do it but I guess that would be to much to ask =). I sure like the feel of 2.3.1 (3.0 even more but we'll have to wait a while longer).

"I follow no path in life... Instead I walk straight and leave a trail for others to follow..."

www.bandofhand.se

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...